---
id: 69a00f673f171e29159e3ad8
title: Step 4
challengeType: 1
dashedName: step-4
---

# --description--

This node would need two properties, the element to add, and a pointer to the next node.

Inside the add function, create an object named `node`, it should have a property named `element`, and a `next` property set to `null`, which is the pointer to the next element of the list.

# --hints--

You should create an object named `node` inside your `add` function.

```js
assert.match(__helpers.removeJSComments(add.toString()), /const|var|let\s+node\s*=\s*{/);
```

Your `node` object should have a property named `element` set to `element`.

```js
assert.match(__helpers.removeJSComments(add.toString()), /element\s*:\s*element/);
```

Your `node` object should have a property named `next` set to `null`.

```js
assert.match(__helpers.removeJSComments(add.toString()), /next\s*:\s*null/);
```

# --seed--

## --seed-contents--

```js
function initList() {
    return {
        head: null,
        length: 0
    };
}

function isEmpty(list) {
  return list.length === 0;
}

function add(list, element) {
    --fcc-editable-region--
    
    --fcc-editable-region--
}
```
